Post by Qphoria » Sun Mar 20, 2011 4:15 am

OpenCart v1.4.9.4 Has been released!

Changes:
== OpenCart v1.4.9.4 ==

FIXES:
- Colspan fixed for admin product list when no products found
- Search not working on all pages fixed
- Removed Foreach in Cache::get function since it returns after the first file anyway
- Added touch() to cache file before unlink to avoid the file race condition
- Add IP back to order edit page (accidentally removed in 1.4.9)
- Removed language status check for download edit
- Fixed language autodetect to check if language is enabled
- Fixed php error when loading information controller with no information_id
- Possible additional fixes for mail to use base64 encoding in subject
- Fixed column width issue fpr product totals in admin order edit
- Updated Paypal Standard to latest patch + auto-bypass for 0.00 totals
- Fixed text_error in category page
- Email validation simplified to check for *@*.*
- Fixed security issue with Moneybookers payment gateway
- Fixed USPS issues do to 2011 change
- Fixed flat rate wording on description (broke in 1.4.9)
- Fixed Paypal Pro currency conversion issue

ADDED:
- Specials listed in the admin product list also show when start or end is 0000-00-00
- Allow resetting invoice id to 1 by changing invoice prefix
- Added invoice_date field to order to store the date the invoice was generated
- Added invoice date to actual invoice print
- Added additional help text for some features to explain their function better
- New Account Create alert mail option
- Added email to db insert for admin on new install
- Converted setting.php controller to use the new proposed optimization standard methods (cut filesize in half)
- Added additional security params in htaccess
- Additional minor code optimizations
- Updated USPS to use RateV4 API
- New Account Success continues to checkout/shipping instead of checkout/cart since it is more intuitive
- Removed fedex placeholder files since they reference a deprecated api
- Added date header to mail class to help prevent spam filtering

Delta:
Files Changed Since 1.4.9.3
==========================
upload/admin/controller/catalog/product.php
upload/admin/controller/payment/moneybookers.php
upload/admin/controller/sale/order.php
upload/admin/controller/setting/setting.php
upload/admin/controller/shipping/usps.php
upload/admin/language/english/catalog/category.php
upload/admin/language/english/catalog/information.php
upload/admin/language/english/localisation/language.php
upload/admin/language/english/payment/moneybookers.php
upload/admin/language/english/sale/order.php
upload/admin/language/english/setting/setting.php
upload/admin/language/english/shipping/usps.php
upload/admin/model/sale/order.php
upload/admin/view/template/catalog/download_form.tpl
upload/admin/view/template/catalog/product_list.tpl
upload/admin/view/template/payment/moneybookers.tpl
upload/admin/view/template/sale/order_form.tpl
upload/admin/view/template/sale/order_invoice.tpl
upload/admin/view/template/setting/setting.tpl
upload/admin/view/template/shipping/usps.tpl
upload/admin/index.php
upload/catalog/controller/account/create.php
upload/catalog/controller/account/success.php
upload/catalog/controller/information/information.php
upload/catalog/controller/payment/moneybookers.php
upload/catalog/controller/payment/pp_pro.php
upload/catalog/controller/payment/pp_standard.php
upload/catalog/controller/product/category.php
upload/catalog/model/shipping/flat.php
upload/catalog/model/shipping/usps.php
upload/catalog/model/total/shipping.php
upload/catalog/view/theme/default/template/common/header.tpl
upload/catalog/view/theme/default/template/payment/pp_standard.tpl
upload/install/model/install.php
upload/install/opencart.sql
upload/install/upgrade.sql
upload/system/library/cache.php
upload/system/library/mail.php
upload/system/startup.php
upload/.htaccess.txt
upload/index.php
DOWNLOADS: OFFICIAL BUG THREAD:
http://forum.opencart.com/viewtopic.php?f=31&t=28937


EXTENSION & THEME NOTES:
Most 1.4.9.x themes should work fine. There were only tiny changes to the tpl files and only the header.tpl is likely to be something you'd have different in a custom theme. Be sure your custom themes never have their own "payment" folder as that folder should always be left out so that the default is used so that any updates to payment modules are applied to your store

OTHER NOTES:

  • If you are using vQmod, you will need to redo the manual steps from the vQmod installation to change the new index.php files to add back the vqmod code
  • The USPS update to the V4 Rate API has some stricter rules and may or may not throw an error message.
    1. If you get an error that "RateV4 is not a valid..." that is because their new api doesn't work with usps test accounts. Contact usps to have them enable your account for production mode.
    2. If you get no rates where you used to, this is possibly due to you choosing rectangular sized packages but either left the dimension fields blank or the WxLxHxGirth don't create a rectangle or square. Try variable package shape.
  • If you still see 1.4.9.3 in the footer, then you didn't upload all the files
  • If you see errors about invoice_date then you either didn't upload all the files or didn't run the db upgrade script.
  • Be sure to read the doc files:
    -- install.txt for new installs
    -- upgrade.txt for upgrades
    -- PatchOnlyReadMe.txt for patch only upgrades
[/b][/color]


v1.4.9.4 USPS PATCH MOVED HERE:
http://forum.opencart.com/viewtopic.php?f=133&t=30489

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by Johnathan » Sun Mar 20, 2011 4:31 am

Thanks for another update!

Were you planning on adding in my update to Weight-Based Shipping at any point? If not, that's fine, just let me know and I'll put it up in the extension store.

Image
Image Image Image Image


User avatar
Global Moderator

Posts

Joined
Fri Dec 18, 2009 3:08 am


Post by JAY6390 » Sun Mar 20, 2011 6:59 am

Great work as always, this should be a very stable version

ImageImageImage

SEO MEGA KIT PLUS - Get your site ranking higher in the search engines
Better Product SEO URL's - Perfectly structured product links
SEO URL's Route Editor PRO - Make ANY url on your site have clean keywords - even third party extensions (remove index.php)


User avatar
Guru Member

Posts

Joined
Wed May 26, 2010 11:47 pm
Location - United Kingdom

Post by joegti10 » Sun Mar 20, 2011 7:05 am

Maybe im missing something but in the patch version im trying to upgrade with i dont see /install/upgrade.php in the zip...

New member

Posts

Joined
Sun Sep 05, 2010 1:49 am

Post by marvmen21 » Sun Mar 20, 2011 7:08 am

Hi Q, I didn't find the upgrade.php file in the install folder,

You want to thank me for my time! :) Click here to donate


Active Member

Posts

Joined
Tue Nov 09, 2010 4:54 am

Post by florinsith » Sun Mar 20, 2011 7:32 am

Awesome , thank you for your hard work.
Si this one is going to a forum-release only?

Image
My Extensions - SuperTheme - Opencart templates - Opencart modules


User avatar
Expert Member

Posts

Joined
Fri May 14, 2010 2:36 am


Post by Qphoria » Sun Mar 20, 2011 7:35 am

marvmen21 wrote:Hi Q, I didn't find the upgrade.php file in the install folder,
Ya sorry. The upgrade.php file didnt actually change but the upgrade.sql did. I forgot to include the upgrade script with the patch. For now you can grab the install/upgrade.php file from the full install and add it to the install folder after uploadung the patch. Ill add it to the patch when I get home.

-EDIT- updated the patch only to have it

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by joegti10 » Sun Mar 20, 2011 7:37 am

was going to do that but figured id wait before i bork my install lol, thanks :)

New member

Posts

Joined
Sun Sep 05, 2010 1:49 am

Post by Qphoria » Sun Mar 20, 2011 9:55 am

Ok I fixed the patchonly version to include the install/upgrade.php script now

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by Purebeads » Sun Mar 20, 2011 12:35 pm

I have version 1.4.8b. Would it be better for me to install each upgrade, or to go directly to 1.4.9.4? I guess that either way I'll have to re-do my modifications to the code.

Active Member

Posts

Joined
Fri Apr 30, 2010 12:07 pm

Post by Qphoria » Sun Mar 20, 2011 12:39 pm

Purebeads wrote:I have version 1.4.8b. Would it be better for me to install each upgrade, or to go directly to 1.4.9.4? I guess that either way I'll have to re-do my modifications to the code.
Well I never made a 1.4.8b to 1.4.9 patch only.. I only started patching the 1.4.9.x versions. So you'd need to get to 1.4.9 first. Then you could do the patches pretty easily.. just upload them one after the other in order and run the upgrade script at the end

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by audiomarket » Sun Mar 20, 2011 3:45 pm

Great Work Q! Tenk's
Sincerly, Marco

New member

Posts

Joined
Mon Mar 15, 2010 1:55 am

Post by Purebeads » Sun Mar 20, 2011 4:08 pm

Qphoria, you say, "get to 1.4.9". 1.4.9 came after 1.4.8b, right? So there should be a patch if I find the right thread.

Active Member

Posts

Joined
Fri Apr 30, 2010 12:07 pm

Post by Simplicity » Sun Mar 20, 2011 9:42 pm

I see that few core files I made minor modification to, have changed after this release...
Correct me if I'm wrong, but modification of core files could be done with a help of VQMod? (To avoid future editing of core files) Where could i get "how to" for VQMod with syntax?
As far as I see, translation to another language only needed for admin panel. No new strings in front end, right?

New member

Posts

Joined
Fri Mar 11, 2011 6:26 am

Post by Qphoria » Sun Mar 20, 2011 9:49 pm

Purebeads wrote:Qphoria, you say, "get to 1.4.9". 1.4.9 came after 1.4.8b, right? So there should be a patch if I find the right thread.
But I never made a "patch-only" from 1.4.8b to 1.4.9. You'll have to either:
A) do the full upgrade from 1.4.8b to 1.4.9
B) use WinMerge to diff the 2 versions and copy the changed files out to another folder to get just the changes.

Simplicity wrote:I see that few core files I made minor modification to, have changed after this release...
Correct me if I'm wrong, but modification of core files could be done with a help of VQMod? (To avoid future editing of core files) Where could i get "how to" for VQMod with syntax?
As far as I see, translation to another language only needed for admin panel. No new strings in front end, right?
http://vQmod.com has the syntax. You can also take a look at the vQmod script archive and learn from the many examples:
http://forum.opencart.com/viewforum.php?f=131

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by i2Paq » Sun Mar 20, 2011 10:07 pm

You sneaky person you! ;D

I downloaded and installed it, working like a charm!

Dutch language is updated as from now on.

Thanks for your hard work on this.

Hint: maybe next-time a refresh button on the Install-page where it checks if the rights on files and directory's are set correctly ;)

Norman in 't Veldt
Moderator OpenCart Forums

_________________ READ and Search BEFORE POSTING _________________

Our FREE search: Find your answer FAST!.

[How to] BTW + Verzend + betaal setup.


User avatar
Global Moderator

Posts

Joined
Mon Nov 09, 2009 7:00 pm
Location - Winkel - The Netherlands

Post by Purebeads » Mon Mar 21, 2011 5:24 am

Qphoria wrote:But I never made a "patch-only" from 1.4.8b to 1.4.9. You'll have to either:
A) do the full upgrade from 1.4.8b to 1.4.9
B) use WinMerge to diff the 2 versions and copy the changed files out to another folder to get just the changes.
Would it work to just copy over the files that have a newer date than the files on my server? Or have all the dates been changed?

Active Member

Posts

Joined
Fri Apr 30, 2010 12:07 pm

Post by Simple » Mon Mar 21, 2011 8:33 am

Upgrade worked like a charm. Thank you :)

User avatar
New member

Posts

Joined
Sun Jul 25, 2010 6:44 pm

Post by MattW » Mon Mar 21, 2011 6:59 pm

Updated both stores now. Does this incorporate the PayPal Standard 1493.5?

Image


User avatar
New member

Posts

Joined
Sat Aug 28, 2010 11:37 am
Location - Sheffield

Post by extigo » Mon Mar 21, 2011 8:22 pm

Updated my store and it is working like a charm!

Op al uw computervragen een antwoord -- Extigo Computers
http://www.extigo.nl

Using OC 1.4.9.4


Active Member

Posts

Joined
Thu Dec 09, 2010 5:04 pm
Who is online

Users browsing this forum: No registered users and 8 guests